<template>
<div class="p-3 mt-2 rounded bg-gray-100">
    <fa icon="spinner" class="fa-spin mb-2" v-if="loading" />
    <p class="mb-2 font-light">Meine Projektzeit: <b>{{ data.my_total_time }} Stunden</b></p>
    
    <p class="text-xs text-gray-500 mb-2 mt-3">Die Auswertung umfasst <b>alle</b> Einträge dieser Kostenstelle von allen Mitarbeitern.</p>

    <p class="mb-2 font-light" v-if="data.budget">{{ data.budget }}% vom Zeit Budget erreicht</p>
    <p class="font-light">Total Projektzeit: <b>{{ data.total_time }}</b> Stunden</p>
</div>
</template>

<script>
export default {
    props: ['costunit'],
    data:() => ({
        loading: true,
        data: {
            budget: 0,
            total_time: 0,
            my_total_time: 0,
        },
    }),
    methods: {
        async fetchData() {
            this.loading = true
            const response = await this.$axios('costunits/' + this.costunit + '/stats');
            this.data = response.data
            this.loading = false
        }
    },
    mounted() {
        this.fetchData()
    }
}
</script>
